=== debian/changelog ===
nmapsi4 (0.2~beta1-1) unstable; urgency=low

  * [166dfb6] Imported Upstream version 0.2~beta1
  * [9434ab6] Switch to dpkg-source 3.0 (quilt) format

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 26 Mar 2010 22:29:25 +0100

nmapsi4 (0.2~alpha3-2) unstable; urgency=low

  * [6ecfbf9] Bump Standards-Version, no changes needed
  * [ec456f2] Updated watch file
  * Uploaded to unstable

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 22 Feb 2010 14:45:53 +0100

nmapsi4 (0.2~alpha3-1) experimental; urgency=low

  * [9450d4a] Imported Upstream version 0.2~alpha3

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 22 Jan 2010 20:24:22 +0100

nmapsi4 (0.2~alpha1-1) experimental; urgency=low

  * [969b2e6] Imported Upstream version 0.1.97
  * [f4c8cc2] Imported Upstream version 0.2~alpha1
  * [17bcd55] Updated my email address and removed DMUA control field
  * [ef73b72] Updated to Standards-Version 3.8.3 (No changes needed)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 05 Dec 2009 11:45:09 +0100

nmapsi4 (0.1.97-1) experimental; urgency=low

   * [969b2e6] Imported Upstream version 0.1.97
   * [a020699] Updated to standards version 3.8.2 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 04 Aug 2009 15:05:04 +0200

nmapsi4 (0.1.96rev2-1~exp0) experimental; urgency=low

  * [fcfa4c5] Imported Upstream version 0.1.96rev2
  * [84d2220] Switch to quilt
  * [cd6a3c9] added a man page for nmapsi4-logr
  * [ecf6181] Updated to standards version 3.8.1 (No changes needed)
  * [192f13a] debian/copyright: use the © symbol and fix copyright-with-
    old-dh-make-debian-copyright lintian warning

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 09 May 2009 17:49:15 +0200

nmapsi4 (0.1.1-1) unstable; urgency=low

  * New Upstream Version
  * debian/control:
    + Added VCS field
    + Added DM-Upload-Allowed control field
  * Fixed watch file
  * debian/nmapsi4.1: Fix a typo, thanks to A. Costa (Closes: #507846)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 22 Dec 2008 11:57:36 +0100

nmapsi4 (0.1-1) unstable; urgency=low

  * Initial release (Closes: #503469)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 26 Oct 2008 13:35:15 +0100
