=== debian/control ===
Source: nmapsi4
Section: net
Priority: extra
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: quilt (>= 0.40), debhelper (>= 7), cmake (>= 2.6.0), libqt4-dev
Standards-Version: 3.8.4
Homepage: http://nmapsi4.netsons.org/web/
Vcs-Git: git://git.debian.org/git/users/derevko-guest/nmapsi4.git
Vcs-Browser: http://git.debian.org/?p=users/derevko-guest/nmapsi4.git

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.
