=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd tools ; ./cmake_verbose_script.sh
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  $(QUILT_STAMPFN)
	dh_testdir
	$(MAKE) -C build/
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	[ ! -f build/Makefile ] || $(MAKE) -C build/ clean
	rm -rf build/
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -C build/ DESTDIR=$(CURDIR)/debian/nmapsi4 install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman debian/nmapsi4.1 debian/nmapsi4-logr.1
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_strip
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
