=== debian/watch ===
version=3
opts="dversionmangle=s/~/-/" \
http://code.google.com/p/nmapsi4/downloads/list http://nmapsi4.googlecode.com/files/nmapsi4-(.*)\.tar\.gz
