## nmapsi4 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,19 @@
 cmake_minimum_required(VERSION 2.6.0)
 
-FIND_PACKAGE(Qt4 REQUIRED)
+FIND_PACKAGE(Qt4 4.5.3 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
 
 include(${QT_USE_FILE})
-ADD_DEFINITIONS(-O2 -Wall -Wextra)
+ADD_DEFINITIONS(-O2 -Wall -Wextra -g)
 
 if (Q_WS_WIN)
   include(CMakeMinGWFindMake)
 endif (Q_WS_WIN)
+
+if(Q_WS_MAC)
+    SET( CMAKE_OSX_ARCHITECTURES ppc;i386 )
+    SET( MACOSX_BUNDLE_ICON_FILE ${PROJECT_SOURCE_DIR}/icons/nmapsi4.icns )
+endif(Q_WS_MAC)
+
 
 add_subdirectory( lib )
 add_subdirectory( nmapsi4 )
@@ -23,6 +29,6 @@
 message("------------------------------------------------")
 message(" Required for build:   qt4-dev (>> 4.5.3) ")
 message(" Required for runtime: nmap ( >> 5.0 ) ")
-message(" Recommends: dig ")
+message(" Recommends for runtime: dig ")
 message("------------------------------------------------")
