=== nmapsi4/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 
-if (WIN32)
+if (NOT Q_WS_X11)
 SET(SOURCES_CPP core/nmapsi4Slot.cpp
 		core/resizeNmapsi4.cpp
 		core/parserUtils.cpp
@@ -27,9 +27,11 @@
 		core/digSupport/digSupport.cpp
 		core/digSupport/digThread.cpp
 		core/info/parserObj.cpp
+		core/actionMenu.cpp
+                core/bookCalls.cpp
 		main.cpp)
 #MESSAGE( STATUS ${SOURCES_CPP} )
-else (WIN32)
+else (NOT Q_WS_X11)
   SET(SOURCES_CPP core/nmapsi4Slot.cpp
 		core/resizeNmapsi4.cpp
 		core/parserUtils.cpp
@@ -51,27 +53,29 @@
 		core/digSupport/digSupport.cpp
 		core/digSupport/digThread.cpp
 		core/info/parserObj.cpp
+		core/actionMenu.cpp
+                core/bookCalls.cpp
 		main.cpp)
 #MESSAGE( STATUS ${SOURCES_CPP} )
-endif (WIN32)
+endif (NOT Q_WS_X11)
 
-if(NOT WIN32)
+if(Q_WS_X11)
   SET(SOURCES_H mainwin.h preference/profilemain.h 
 	core/scanMT/scanThread.h core/lookup/lookUpT.h core/digSupport/digSupport.h core/digSupport/digThread.h)
   #MESSAGE( STATUS ${SOURCES_H} )
-else (WIN32)
+else (Q_WS_X11)
   SET(SOURCES_H mainwin.h preference/profilemain.h ../lib/about/about.h 
 	core/scanMT/scanThread.h core/lookup/lookUpT.h core/digSupport/digSupport.h core/digSupport/digThread.h)
   #MESSAGE( STATUS ${SOURCES_H} )
-endif (NOT WIN32)
+endif (Q_WS_X11)
 
-if(NOT WIN32)
+if(Q_WS_X11)
   SET(SOURCES_UI mainwin.ui preference/profilemain.ui)
   #MESSAGE( STATUS ${SOURCES_UI} )
-else (WIN32)
+else (Q_WS_X11)
   SET(SOURCES_UI mainwin.ui preference/profilemain.ui ../lib/about/about.ui)
   #MESSAGE( STATUS ${SOURCES_UI} )
-endif (NOT WIN32)
+endif (Q_WS_X11)
 
 SET(RESOURCES_QRC ../mainwin.qrc)
 #MESSAGE( STATUS ${RESOURCES_QRC} )
@@ -92,16 +96,26 @@
 
 INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )
 
-if (NOT WIN32)
+if (Q_WS_X11)
   ADD_EXECUTABLE(nmapsi4 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
   INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/lib/history/ ${CMAKE_BINARY_DIR}/lib/about/)
-  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} nmapsi4_history nmapsi4_about)
-else (WIN32) 
+  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY}  nmapsi4_history nmapsi4_about)
+elseif(WIN32)
   ADD_EXECUTABLE(nmapsi4 WIN32 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
   INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR})			
-  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY})	
-endif (NOT WIN32)
+  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY})
+elseif(Q_WS_MAC)
+  MESSAGE( STATUS MAC Osx)
+  ADD_EXECUTABLE(nmapsi4 MACOSX_BUNDLE ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
+  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR})
+  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY})
+  ADD_CUSTOM_COMMAND( TARGET nmapsi4 POST_BUILD
+        COMMAND mkdir ARGS ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
+        COMMAND cp ARGS ${MACOSX_BUNDLE_ICON_FILE} ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
+        COMMAND cp ARGS *.qm ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources)
+endif (Q_WS_X11)
 
+#
 #INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/../lib/)
