=== lib/history/CMakeLists.txt ===
PROJECT(nmapsi4_history)

SET( SOURCES_CPP coreHistory.cpp 
		 loghistory.cpp)
#MESSAGE( STATUS ${SOURCES_CPP} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )

if(WIN32)
	#ADD_LIBRARY( nmapsi4_history STATIC ${SOURCES_CPP})
else(WIN32)
	ADD_LIBRARY( nmapsi4_history STATIC ${SOURCES_CPP})
endif(WIN32)

#if (Q_WS_X11)
#  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libnmapsi4_history.so" DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/)
#endif (Q_WS_X11)
