=== debian/changelog ===
nmapsi4 (0.2.1-1) unstable; urgency=low

  * [f35b3bf] Imported Upstream version 0.2.1
    - Fixed FTBFS with gcc 4.5 (Closes: #618069)
    - Fixed Crash (LP: #636959)
  * [1c09ef5] Update to Standards-Version 3.9.1, no changes needed
  * [a0b2f70] Updated home page
  * [9102006] Added libqtwebkit-dev in Build-Depends

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 20 Mar 2011 15:37:00 +0100
