=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: extra
 Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Build-Depends: quilt (>= 0.40), debhelper (>= 7), cmake (>= 2.6.0), libqt4-dev
-Standards-Version: 3.8.4
-Homepage: http://nmapsi4.netsons.org/web/
+Build-Depends: quilt (>= 0.40), debhelper (>= 7), cmake (>= 2.6.0), libqt4-dev, libqtwebkit-dev
+Standards-Version: 3.9.1
+Homepage: http://www.nmapsi4.org
 Vcs-Git: git://git.debian.org/git/users/derevko-guest/nmapsi4.git
 Vcs-Browser: http://git.debian.org/?p=users/derevko-guest/nmapsi4.git
