=== lib/CMakeLists.txt ===
#
# lib CMakeLists.txt
# Developer: Francesco Cecconi
#
add_subdirectory(history)
add_subdirectory(about)
