=== lib/about/CMakeLists.txt ===
PROJECT(nmapsi4_about)

SET( SOURCES_CPP about.cpp )
#MESSAGE( STATUS ${SOURCES_CPP} )

#SET(SOURCES_H about.h)
#MESSAGE( STATUS ${SOURCES_H} )

SET(SOURCES_UI about.ui )
#MESSAGE( STATUS ${SOURCES_UI} )

SET(RESOURCES_QRC ../../mainwin.qrc)
#MESSAGE( STATUS ${RESOURCES_QRC} )

QT4_ADD_RESOURCES(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
QT4_WRAP_UI(SOURCES_UI_H ${SOURCES_UI})
QT4_WRAP_CPP( SOURCES_CPP ${SOURCES_H} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )

ADD_LIBRARY( nmapsi4_about STATIC ${SOURCES_CPP} ${SOURCES_H} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES})
