=== lib/history/CMakeLists.txt ===
PROJECT(nmapsi4_history)

SET( SOURCES_CPP coreHistory.cpp 
		 loghistory.cpp)
#MESSAGE( STATUS ${SOURCES_CPP} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )


ADD_LIBRARY( nmapsi4_history STATIC ${SOURCES_CPP})
