=== debian/changelog ===
nmapsi4 (0.3.1-1) unstable; urgency=low

  * [59cbf87] Imported Upstream version 0.3.1
  * [44e36de] Refreshed patches
  * [0986f29] Fix ftbfs with GCC-4.7, thanks to Francesco Cecconi.
    (Closes: #667298)
  * [a7a0b60] Depends on nmap (>= 5.51)
  * [87c716b] Added recommended target build-indep and build-arch
  * [904b991] Fixed watch file
  * [4411387] remove quilt from build-depends
  * [28c4be0] Bump standards-version 3.9.3 (no chanes needed)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 12 May 2012 12:02:21 +0200
