=== debian/control ===
Source: nmapsi4
Section: net
Priority: extra
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: debhelper (>= 7), cmake (>= 2.6.0), libqt4-dev, libqtwebkit-dev
Standards-Version: 3.9.3
Homepage: http://www.nmapsi4.org
Vcs-Git: git://git.debian.org/git/users/derevko-guest/nmapsi4.git
Vcs-Browser: http://git.debian.org/?p=users/derevko-guest/nmapsi4.git

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap (>= 5.51)
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.
