=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-include /usr/share/quilt/quilt.make
 
 configure: configure-stamp
 configure-stamp:
@@ -12,14 +10,16 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp  $(QUILT_STAMPFN)
 	dh_testdir
 	$(MAKE) -C build/
 	touch $@
 
-clean: unpatch
+clean: 
 	dh_testdir
 	dh_testroot
 	[ ! -f build/Makefile ] || $(MAKE) -C build/ clean
