=== debian/changelog ===
nmapsi4 (0.5~alpha1-2) unstable; urgency=medium

  * Team upload.
  * Add qttools5-dev to b-d, to fix build failure
    and let the package migrate.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2017 09:57:54 +0100

nmapsi4 (0.5~alpha1-1) unstable; urgency=medium

  [ Marcos Fouces ]
  * Bump to dh 10.
  * Import to pkg-security team (Closes: #866828).
  * Set qt5 proper build-depends (Closes: #784501).
  * Set priority from extra to optional to follow policy.
  * Remove explicit nmap version in depends field
  * Update watch file
  * New upstream version 0.5~alpha1 (Closes: #728617).
  * Remove unneeded patches
  * Revamp rules file with dh syntax
  * Adapt copyright file to dep5 recomendations
  * Install man pages through dh_installman
  * Bump to Standards-revision 4.0.1
  * Remove README.sources. It was no more accurate

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 23 Jul 2017 11:43:09 +0200
