=== debian/control ===
Source: nmapsi4
Section: net
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>= 2.6.0), qtbase5-dev, libqt5webkit5-dev, qtscript5-dev, qtbase5-dev-tools, qttools5-dev-tools, qttools5-dev
Standards-Version: 4.0.1
Homepage: http://www.nmapsi4.org
Vcs-Git: https://anonscm.debian.org/git/pkg-security/nmapsi4.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/nmapsi4.git

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.
