=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@
	
override_dh_auto_clean:
	dh_auto_clean
	[ ! -f build/Makefile ] || $(MAKE) -C build/ clean
	rm -rf build/
	
override_dh_auto_configure:
	dh_auto_configure
	cd tools ; ./cmake_verbose_script.sh


override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C build/
	
override_dh_auto_install:
	dh_auto_install	
	$(MAKE) -C build/ DESTDIR=$(CURDIR)/debian/nmapsi4 install

override_dh_installman:
	dh_installman debian/nmapsi4-logr.1 debian/nmapsi4.1
